$(document).ready(function(){
    var fix_bg = $('.hero').attr("data-src");
    // alert(fix_bg);
    $('.hero').css('background-image', 'url('+fix_bg+')');
    // Hero Column Expand and Collapse
    $('.normal-mode-col').on('click', function(){
        var bg_img = $(this).attr("data-src");
        $('.normal-mode-col').removeClass('hero-col-expanded open').addClass('hero-col-collapsed');
        $(this).addClass('hero-col-expanded open').removeClass('hero-col-collapsed');
        $(".plus-button a", this).attr('id', 'close_col');
        $('.hero').css('background-image', 'url('+bg_img+')');
        // $('.open').removeClass('normal-mode-col');
        
        $('#close_col').on('click', function(){
            alert("alive");
            // alert(bg_img);
            // $('.open').removeClass('hero-col-expanded');
            // $('.hero-col hero-col-expanded open').removeClass('hero-col-expanded open');
            // $('.hero').css('background-image', 'url('+fix_bg+')');
        });
    });
    // Removing all the extra class to to back the onload view
    $('#collapse-col').on('click', function(){
        // alert("alive");
        // alert(bg_img);
        // $('.open').removeClass('hero-col-expanded');
        // $('.hero-col hero-col-expanded open').removeClass('hero-col-expanded open');
        // $('.hero').css('background-image', 'url('+fix_bg+')');
    });
    
});